com.tibbo.aggregate.common.filter

## Class FilterApiConstants

- java.lang.Object
- - com.tibbo.aggregate.common.filter.FilterApiConstants

-     public class FilterApiConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOOLEAN_ALL`
    `static int` | `BOOLEAN_FALSE`
    `static int` | `BOOLEAN_TRUE`
    `static java.lang.String` | `COMPONENT_SMART_FILTER_COLUMN`
    `static java.lang.String` | `COMPONENT_SMART_FILTER_STATE`
    `static java.lang.String` | `COMPONENT_SMART_FILTER_TYPE`
    `static int` | `CONTROL_PANE_BOOLEAN_VALUE`
    `static int` | `CONTROL_PANE_COLOR_VALUE`
    `static int` | `CONTROL_PANE_DATA_BLOCK_VALUE`
    `static int` | `CONTROL_PANE_DATA_TABLE_VALUE`
    `static int` | `CONTROL_PANE_DATE_VALUE`
    `static int` | `CONTROL_PANE_NUMERIC_VALUE`
    `static int` | `CONTROL_PANE_STRING_VALUE`
    `static int` | `CONTROL_PANE_UNDEFINED_VALUE`
    `static TableFormat` | `DATE_RANGE_VALUE`
    `static java.lang.String` | `EXPERIMENTAL_LAZY_MULTI_SELECTION`
    `static java.lang.String` | `EXPERIMENTAL_LAZY_SELECTION_VALUES`
    `static java.lang.String` | `EXPERIMENTAL_MULTI_DATE_SELECTION`
    `static java.lang.String` | `F_GET_SMART_FILTER_CONTROL_STATES`
    `static java.lang.String` | `F_GET_SMART_FILTER_DISPLAY_MODE`
    `static java.lang.String` | `F_GET_SMART_FILTER_EXPRESSION`
    `static java.lang.String` | `F_SET_SMART_FILTER_CONTROL_STATES`
    `static java.lang.String` | `F_SET_SMART_FILTER_DISPLAY_MODE`
    `static java.lang.String` | `F_SET_SMART_FILTER_EXPRESSION`
    `static java.lang.String` | `FIF_DRY`
    `static java.lang.String` | `FIF_SET_SMART_FILTER_DISPLAY_MODE`
    `static java.lang.String` | `FIF_SMART_FILTER_CONTROL_STATES`
    `static java.lang.String` | `FIF_SMART_FILTER_EXPRESSION_TEXT`
    `static TableFormat` | `FIFT_GET_SMART_FILTER_CONTROL_STATES`
    `static TableFormat` | `FIFT_GET_SMART_FILTER_DISPLAY_MODE`
    `static TableFormat` | `FIFT_GET_SMART_FILTER_EXPRESSION`
    `static TableFormat` | `FIFT_SET_SMART_FILTER_CONTROL_STATES`
    `static TableFormat` | `FIFT_SET_SMART_FILTER_DISPLAY_MODE`
    `static TableFormat` | `FIFT_SET_SMART_FILTER_EXPRESSION`
    `static java.lang.String` | `FOF_GET_SMART_FILTER_DISPLAY_MODE`
    `static java.lang.String` | `FOF_GET_SMART_FILTER_EXPRESSION_TEXT`
    `static java.lang.String` | `FOF_SMART_FILTER_CONTROL_STATES`
    `static java.lang.String` | `FOF_SMART_FILTER_FUNC_RESULT_CODE`
    `static java.lang.String` | `FOF_SMART_FILTER_FUNC_RESULT_MESSAGE`
    `static TableFormat` | `FOFT_GET_SMART_FILTER_CONTROL_STATES`
    `static TableFormat` | `FOFT_GET_SMART_FILTER_DISPLAY_MODE`
    `static TableFormat` | `FOFT_GET_SMART_FILTER_EXPRESSION`
    `static TableFormat` | `FOFT_SET_SMART_FILTER_CONTROL_STATES`
    `static TableFormat` | `FOFT_SET_SMART_FILTER_DISPLAY_MODE`
    `static TableFormat` | `FOFT_SET_SMART_FILTER_EXPRESSION`
    `static TableFormat` | `FOFT_SMART_FILTER_FUNC_RESULT`
    `static java.lang.String` | `PANE_FIELD_BEGINS_WITH`
    `static java.lang.String` | `PANE_FIELD_CONTAINS`
    `static java.lang.String` | `PANE_FIELD_CURRENT_INTERVAL`
    `static java.lang.String` | `PANE_FIELD_DATE_TIME_RANGE`
    `static java.lang.String` | `PANE_FIELD_DOES_NOT_BEGIN_WITH`
    `static java.lang.String` | `PANE_FIELD_DOES_NOT_CONTAIN`
    `static java.lang.String` | `PANE_FIELD_DOES_NOT_END_WITH`
    `static java.lang.String` | `PANE_FIELD_DOES_NOT_EQUAL`
    `static java.lang.String` | `PANE_FIELD_EDITOR`
    `static java.lang.String` | `PANE_FIELD_ENDS_WITH`
    `static java.lang.String` | `PANE_FIELD_EQUALS`
    `static java.lang.String` | `PANE_FIELD_FILE_TYPE`
    `static java.lang.String` | `PANE_FIELD_GREATER_OR_EQUAL_THAN`
    `static java.lang.String` | `PANE_FIELD_GREATER_THAN`
    `static java.lang.String` | `PANE_FIELD_INCLUDED_IN`
    `static java.lang.String` | `PANE_FIELD_LAST_INTERVAL`
    `static java.lang.String` | `PANE_FIELD_LESS_OR_EQUAL_THAN`
    `static java.lang.String` | `PANE_FIELD_LESS_THAN`
    `static java.lang.String` | `PANE_FIELD_NEXT_INTERVAL`
    `static java.lang.String` | `PANE_FIELD_RECORD_COUNT`
    `static java.lang.String` | `PANE_FIELD_VALUE_PRESENCE`
    `static int` | `RES_CONVERT_ERROR`
    `static int` | `RES_OK`
    `static int` | `RES_PARSE_ERROR`
    `static int` | `RES_UNEXPECTED_ERROR`
    `static java.lang.String` | `SMART_FILTER_COMPONENT_MODE`
    `static java.lang.String` | `SMART_FILTER_TEXT_MODE`
    `static TableFormat` | `TF_COMPONENT_SMART_FILTER`
    `static TableFormat` | `TF_CONTROL_PANE_BOOLEAN_VALUE`
    `static TableFormat` | `TF_CONTROL_PANE_COLOR_VALUE`
    `static TableFormat` | `TF_CONTROL_PANE_DATABLOCK_VALUE`
    `static TableFormat` | `TF_CONTROL_PANE_DATATABLE_VALUE`
    `static TableFormat` | `TF_CONTROL_PANE_DATE_VALUE`
    `static TableFormat` | `TF_CONTROL_PANE_NUMERIC_VALUE`
    `static TableFormat` | `TF_CONTROL_PANE_STRING_VALUE`
    `static TableFormat` | `TF_TIME_INTERVAL`
    `static java.lang.String` | `TIME_INTERVAL_AMOUNT`
    `static int` | `TIME_INTERVAL_DAY`
    `static int` | `TIME_INTERVAL_HOUR`
    `static int` | `TIME_INTERVAL_MONTH`
    `static int` | `TIME_INTERVAL_NOT_SET`
    `static java.lang.String` | `TIME_INTERVAL_TYPE`
    `static int` | `TIME_INTERVAL_WEEK`
    `static int` | `TIME_INTERVAL_YEAR`
    `static java.lang.String` | `TIME_RANGE_END_DATE`
    `static java.lang.String` | `TIME_RANGE_START_DATE`
    `static java.lang.String` | `VALUE`
    `static int` | `VALUE_PRESENCE_ALL`
    `static int` | `VALUE_PRESENCE_NOT_SET`
    `static int` | `VALUE_PRESENCE_SET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterApiConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXPERIMENTAL_LAZY_SELECTION_VALUES

          public static final java.lang.String EXPERIMENTAL_LAZY_SELECTION_VALUES

      See Also:
        Constant Field Values

    - #### EXPERIMENTAL_LAZY_MULTI_SELECTION

          public static final java.lang.String EXPERIMENTAL_LAZY_MULTI_SELECTION

      See Also:
        Constant Field Values

    - #### EXPERIMENTAL_MULTI_DATE_SELECTION

          public static final java.lang.String EXPERIMENTAL_MULTI_DATE_SELECTION

      See Also:
        Constant Field Values

    - #### VALUE

          public static final java.lang.String VALUE

      See Also:
        Constant Field Values

    - #### F_SET_SMART_FILTER_EXPRESSION

          public static final java.lang.String F_SET_SMART_FILTER_EXPRESSION

      See Also:
        Constant Field Values

    - #### FIF_SMART_FILTER_EXPRESSION_TEXT

          public static final java.lang.String FIF_SMART_FILTER_EXPRESSION_TEXT

      See Also:
        Constant Field Values

    - #### FIF_DRY

          public static final java.lang.String FIF_DRY

      See Also:
        Constant Field Values

    - #### FOF_SMART_FILTER_FUNC_RESULT_CODE

          public static final java.lang.String FOF_SMART_FILTER_FUNC_RESULT_CODE

      See Also:
        Constant Field Values

    - #### FOF_SMART_FILTER_FUNC_RESULT_MESSAGE

          public static final java.lang.String FOF_SMART_FILTER_FUNC_RESULT_MESSAGE

      See Also:
        Constant Field Values

    - #### FIFT_SET_SMART_FILTER_EXPRESSION

          public static final TableFormat FIFT_SET_SMART_FILTER_EXPRESSION

    - #### FOFT_SMART_FILTER_FUNC_RESULT

          public static final TableFormat FOFT_SMART_FILTER_FUNC_RESULT

    - #### FOFT_SET_SMART_FILTER_EXPRESSION

          public static final TableFormat FOFT_SET_SMART_FILTER_EXPRESSION

    - #### F_GET_SMART_FILTER_EXPRESSION

          public static final java.lang.String F_GET_SMART_FILTER_EXPRESSION

      See Also:
        Constant Field Values

    - #### FOF_GET_SMART_FILTER_EXPRESSION_TEXT

          public static final java.lang.String FOF_GET_SMART_FILTER_EXPRESSION_TEXT

      See Also:
        Constant Field Values

    - #### FIFT_GET_SMART_FILTER_EXPRESSION

          public static final TableFormat FIFT_GET_SMART_FILTER_EXPRESSION

    - #### FOFT_GET_SMART_FILTER_EXPRESSION

          public static final TableFormat FOFT_GET_SMART_FILTER_EXPRESSION

    - #### SMART_FILTER_TEXT_MODE

          public static final java.lang.String SMART_FILTER_TEXT_MODE

      See Also:
        Constant Field Values

    - #### SMART_FILTER_COMPONENT_MODE

          public static final java.lang.String SMART_FILTER_COMPONENT_MODE

      See Also:
        Constant Field Values

    - #### F_SET_SMART_FILTER_DISPLAY_MODE

          public static final java.lang.String F_SET_SMART_FILTER_DISPLAY_MODE

      See Also:
        Constant Field Values

    - #### FIF_SET_SMART_FILTER_DISPLAY_MODE

          public static final java.lang.String FIF_SET_SMART_FILTER_DISPLAY_MODE

      See Also:
        Constant Field Values

    - #### FIFT_SET_SMART_FILTER_DISPLAY_MODE

          public static final TableFormat FIFT_SET_SMART_FILTER_DISPLAY_MODE

    - #### FOFT_SET_SMART_FILTER_DISPLAY_MODE

          public static final TableFormat FOFT_SET_SMART_FILTER_DISPLAY_MODE

    - #### F_GET_SMART_FILTER_DISPLAY_MODE

          public static final java.lang.String F_GET_SMART_FILTER_DISPLAY_MODE

      See Also:
        Constant Field Values

    - #### FOF_GET_SMART_FILTER_DISPLAY_MODE

          public static final java.lang.String FOF_GET_SMART_FILTER_DISPLAY_MODE

      See Also:
        Constant Field Values

    - #### FIFT_GET_SMART_FILTER_DISPLAY_MODE

          public static final TableFormat FIFT_GET_SMART_FILTER_DISPLAY_MODE

    - #### FOFT_GET_SMART_FILTER_DISPLAY_MODE

          public static final TableFormat FOFT_GET_SMART_FILTER_DISPLAY_MODE

    - #### CONTROL_PANE_UNDEFINED_VALUE

          public static final int CONTROL_PANE_UNDEFINED_VALUE

      See Also:
        Constant Field Values

    - #### CONTROL_PANE_NUMERIC_VALUE

          public static final int CONTROL_PANE_NUMERIC_VALUE

      See Also:
        Constant Field Values

    - #### CONTROL_PANE_STRING_VALUE

          public static final int CONTROL_PANE_STRING_VALUE

      See Also:
        Constant Field Values

    - #### CONTROL_PANE_BOOLEAN_VALUE

          public static final int CONTROL_PANE_BOOLEAN_VALUE

      See Also:
        Constant Field Values

    - #### CONTROL_PANE_COLOR_VALUE

          public static final int CONTROL_PANE_COLOR_VALUE

      See Also:
        Constant Field Values

    - #### CONTROL_PANE_DATE_VALUE

          public static final int CONTROL_PANE_DATE_VALUE

      See Also:
        Constant Field Values

    - #### CONTROL_PANE_DATA_TABLE_VALUE

          public static final int CONTROL_PANE_DATA_TABLE_VALUE

      See Also:
        Constant Field Values

    - #### CONTROL_PANE_DATA_BLOCK_VALUE

          public static final int CONTROL_PANE_DATA_BLOCK_VALUE

      See Also:
        Constant Field Values

    - #### PANE_FIELD_VALUE_PRESENCE

          public static final java.lang.String PANE_FIELD_VALUE_PRESENCE

      See Also:
        Constant Field Values

    - #### PANE_FIELD_EQUALS

          public static final java.lang.String PANE_FIELD_EQUALS

      See Also:
        Constant Field Values

    - #### PANE_FIELD_INCLUDED_IN

          public static final java.lang.String PANE_FIELD_INCLUDED_IN

      See Also:
        Constant Field Values

    - #### PANE_FIELD_DOES_NOT_EQUAL

          public static final java.lang.String PANE_FIELD_DOES_NOT_EQUAL

      See Also:
        Constant Field Values

    - #### PANE_FIELD_GREATER_THAN

          public static final java.lang.String PANE_FIELD_GREATER_THAN

      See Also:
        Constant Field Values

    - #### PANE_FIELD_GREATER_OR_EQUAL_THAN

          public static final java.lang.String PANE_FIELD_GREATER_OR_EQUAL_THAN

      See Also:
        Constant Field Values

    - #### PANE_FIELD_LESS_THAN

          public static final java.lang.String PANE_FIELD_LESS_THAN

      See Also:
        Constant Field Values

    - #### PANE_FIELD_LESS_OR_EQUAL_THAN

          public static final java.lang.String PANE_FIELD_LESS_OR_EQUAL_THAN

      See Also:
        Constant Field Values

    - #### PANE_FIELD_CONTAINS

          public static final java.lang.String PANE_FIELD_CONTAINS

      See Also:
        Constant Field Values

    - #### PANE_FIELD_DOES_NOT_CONTAIN

          public static final java.lang.String PANE_FIELD_DOES_NOT_CONTAIN

      See Also:
        Constant Field Values

    - #### PANE_FIELD_BEGINS_WITH

          public static final java.lang.String PANE_FIELD_BEGINS_WITH

      See Also:
        Constant Field Values

    - #### PANE_FIELD_DOES_NOT_BEGIN_WITH

          public static final java.lang.String PANE_FIELD_DOES_NOT_BEGIN_WITH

      See Also:
        Constant Field Values

    - #### PANE_FIELD_ENDS_WITH

          public static final java.lang.String PANE_FIELD_ENDS_WITH

      See Also:
        Constant Field Values

    - #### PANE_FIELD_DOES_NOT_END_WITH

          public static final java.lang.String PANE_FIELD_DOES_NOT_END_WITH

      See Also:
        Constant Field Values

    - #### PANE_FIELD_LAST_INTERVAL

          public static final java.lang.String PANE_FIELD_LAST_INTERVAL

      See Also:
        Constant Field Values

    - #### PANE_FIELD_CURRENT_INTERVAL

          public static final java.lang.String PANE_FIELD_CURRENT_INTERVAL

      See Also:
        Constant Field Values

    - #### PANE_FIELD_NEXT_INTERVAL

          public static final java.lang.String PANE_FIELD_NEXT_INTERVAL

      See Also:
        Constant Field Values

    - #### PANE_FIELD_RECORD_COUNT

          public static final java.lang.String PANE_FIELD_RECORD_COUNT

      See Also:
        Constant Field Values

    - #### PANE_FIELD_FILE_TYPE

          public static final java.lang.String PANE_FIELD_FILE_TYPE

      See Also:
        Constant Field Values

    - #### PANE_FIELD_DATE_TIME_RANGE

          public static final java.lang.String PANE_FIELD_DATE_TIME_RANGE

      See Also:
        Constant Field Values

    - #### PANE_FIELD_EDITOR

          public static final java.lang.String PANE_FIELD_EDITOR

      See Also:
        Constant Field Values

    - #### TIME_INTERVAL_NOT_SET

          public static final int TIME_INTERVAL_NOT_SET

      See Also:
        Constant Field Values

    - #### TIME_INTERVAL_HOUR

          public static final int TIME_INTERVAL_HOUR

      See Also:
        Constant Field Values

    - #### TIME_INTERVAL_DAY

          public static final int TIME_INTERVAL_DAY

      See Also:
        Constant Field Values

    - #### TIME_INTERVAL_WEEK

          public static final int TIME_INTERVAL_WEEK

      See Also:
        Constant Field Values

    - #### TIME_INTERVAL_MONTH

          public static final int TIME_INTERVAL_MONTH

      See Also:
        Constant Field Values

    - #### TIME_INTERVAL_YEAR

          public static final int TIME_INTERVAL_YEAR

      See Also:
        Constant Field Values

    - #### VALUE_PRESENCE_ALL

          public static final int VALUE_PRESENCE_ALL

      See Also:
        Constant Field Values

    - #### VALUE_PRESENCE_SET

          public static final int VALUE_PRESENCE_SET

      See Also:
        Constant Field Values

    - #### VALUE_PRESENCE_NOT_SET

          public static final int VALUE_PRESENCE_NOT_SET

      See Also:
        Constant Field Values

    - #### BOOLEAN_ALL

          public static final int BOOLEAN_ALL

      See Also:
        Constant Field Values

    - #### BOOLEAN_FALSE

          public static final int BOOLEAN_FALSE

      See Also:
        Constant Field Values

    - #### BOOLEAN_TRUE

          public static final int BOOLEAN_TRUE

      See Also:
        Constant Field Values

    - #### TIME_INTERVAL_AMOUNT

          public static final java.lang.String TIME_INTERVAL_AMOUNT

      See Also:
        Constant Field Values

    - #### TIME_INTERVAL_TYPE

          public static final java.lang.String TIME_INTERVAL_TYPE

      See Also:
        Constant Field Values

    - #### TF_TIME_INTERVAL

          public static final TableFormat TF_TIME_INTERVAL

    - #### TIME_RANGE_START_DATE

          public static final java.lang.String TIME_RANGE_START_DATE

      See Also:
        Constant Field Values

    - #### TIME_RANGE_END_DATE

          public static final java.lang.String TIME_RANGE_END_DATE

      See Also:
        Constant Field Values

    - #### DATE_RANGE_VALUE

          public static final TableFormat DATE_RANGE_VALUE

    - #### TF_CONTROL_PANE_NUMERIC_VALUE

          public static final TableFormat TF_CONTROL_PANE_NUMERIC_VALUE

    - #### TF_CONTROL_PANE_STRING_VALUE

          public static final TableFormat TF_CONTROL_PANE_STRING_VALUE

    - #### TF_CONTROL_PANE_BOOLEAN_VALUE

          public static final TableFormat TF_CONTROL_PANE_BOOLEAN_VALUE

    - #### TF_CONTROL_PANE_COLOR_VALUE

          public static final TableFormat TF_CONTROL_PANE_COLOR_VALUE

    - #### TF_CONTROL_PANE_DATE_VALUE

          public static final TableFormat TF_CONTROL_PANE_DATE_VALUE

    - #### TF_CONTROL_PANE_DATATABLE_VALUE

          public static final TableFormat TF_CONTROL_PANE_DATATABLE_VALUE

    - #### TF_CONTROL_PANE_DATABLOCK_VALUE

          public static final TableFormat TF_CONTROL_PANE_DATABLOCK_VALUE

    - #### COMPONENT_SMART_FILTER_COLUMN

          public static final java.lang.String COMPONENT_SMART_FILTER_COLUMN

      See Also:
        Constant Field Values

    - #### COMPONENT_SMART_FILTER_TYPE

          public static final java.lang.String COMPONENT_SMART_FILTER_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_SMART_FILTER_STATE

          public static final java.lang.String COMPONENT_SMART_FILTER_STATE

      See Also:
        Constant Field Values

    - #### TF_COMPONENT_SMART_FILTER

          public static final TableFormat TF_COMPONENT_SMART_FILTER

    - #### F_SET_SMART_FILTER_CONTROL_STATES

          public static final java.lang.String F_SET_SMART_FILTER_CONTROL_STATES

      See Also:
        Constant Field Values

    - #### FIF_SMART_FILTER_CONTROL_STATES

          public static final java.lang.String FIF_SMART_FILTER_CONTROL_STATES

      See Also:
        Constant Field Values

    - #### FIFT_SET_SMART_FILTER_CONTROL_STATES

          public static final TableFormat FIFT_SET_SMART_FILTER_CONTROL_STATES

    - #### FOFT_SET_SMART_FILTER_CONTROL_STATES

          public static final TableFormat FOFT_SET_SMART_FILTER_CONTROL_STATES

    - #### F_GET_SMART_FILTER_CONTROL_STATES

          public static final java.lang.String F_GET_SMART_FILTER_CONTROL_STATES

      See Also:
        Constant Field Values

    - #### FOF_SMART_FILTER_CONTROL_STATES

          public static final java.lang.String FOF_SMART_FILTER_CONTROL_STATES

      See Also:
        Constant Field Values

    - #### FIFT_GET_SMART_FILTER_CONTROL_STATES

          public static final TableFormat FIFT_GET_SMART_FILTER_CONTROL_STATES

    - #### FOFT_GET_SMART_FILTER_CONTROL_STATES

          public static final TableFormat FOFT_GET_SMART_FILTER_CONTROL_STATES

    - #### RES_OK

          public static final int RES_OK

      See Also:
        Constant Field Values

    - #### RES_PARSE_ERROR

          public static final int RES_PARSE_ERROR

      See Also:
        Constant Field Values

    - #### RES_CONVERT_ERROR

          public static final int RES_CONVERT_ERROR

      See Also:
        Constant Field Values

    - #### RES_UNEXPECTED_ERROR

          public static final int RES_UNEXPECTED_ERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FilterApiConstants

          public FilterApiConstants()